baseURL = "https://tobiasmanske.de"
languageCode = "en-us"
title = "Tobias Manske"
theme = "PaperMod"
pygmentsUseClasses = true
disqusShortname = "rad4day"
publishDir = "docs"
enableRobotsTXT = true

[author]
    name = "Tobias Manske"
    email = "blog@tobiasmanske.de"

[params]
    defaultTheme = "auto"
    showtoc = true
    comments = true
    tocopen = false
    ShowBreadCrumbs = true
    ShowShareButtons = true
    author = "Tobias Manske"
    twitter = "@rad4day"
    description = "Blog about learning and technology by a KIT University Student"
[params.homeInfoParams]
    title = "Welcome!"
    content = "I'm Tobias Manske, a 24 year old computer science student at KIT Karlsruhe."
[params.assets]
    disableHLJS = true

[languages]
  [languages.en]
    languageName = "English"
    languageCode = "en-us"
    weight = 1

[[params.socialIcons]]
    name = "github"
    url = "https://www.github.com/rad4day"
[[params.socialIcons]]
    name = "twitter"
    url = "https://www.twitter.com/rad4day"
[[params.socialIcons]]
    name = "linkedin"
    url = "https://www.linkedin.com/in/tobias-manske-a595111b7"
[[params.socialIcons]]
    name = "mastodon"
    url = "https://chaos.social/@rad4day"
[[params.socialIcons]]
    name = "email"
    url = "mailto:blog@tobiasmanske.de"

[markup.highlight]
    codeFences = true
    guessSyntax = true
    lineNos = true
    useClasses = true
    tabWidth = 2

[markup.goldmark.renderer]
    unsafe = true

[markup.tableOfContents]
    endLevel = 3
    ordered = false
    startLevel = 2

[[menu.main]]
    identifier = "impressum"
    name = "Impressum"
    url = "/impressum"
    weight = 100
[[menu.main]]
    identifier = "dsgvo"
    name = "Datenschutzerklärung"
    url = "/datenschutzerklarung"
    weight = 101

[privacy]
  [privacy.disqus]
    disable = false
  [privacy.googleAnalytics]
    disable = true
  [privacy.instagram]
    disable = true
  [privacy.twitter]
    disable = true
  [privacy.vimeo]
    disable = true
  [privacy.youtube]
    disable = false
    privacyEnhanced = true

